# -*- coding: utf-8 -*-

from rest_framework import generics

from thux.api.views import QuerysetMixin
from thux.api.permissions import ThuxModelPermissions

from .. import models
from . import serializers


class AddressScopeList(QuerysetMixin, generics.ListAPIView):
    permission_classes = (ThuxModelPermissions, )
    queryset = models.AddressScope.objects.all()
    serializer_class = serializers.AddressScopeSerializer


class AddressScopeRetrieve(generics.RetrieveAPIView):
    permission_classes = (ThuxModelPermissions,)

    queryset = models.AddressScope.objects.all()
    serializer_class = serializers.AddressScopeSerializer


class AddressScopeCreate(generics.CreateAPIView):
    permission_classes = (ThuxModelPermissions,)
    queryset = models.AddressScope.objects.all()
    serializer_class = serializers.AddressScopeSerializerCreate


class AddressScopeUpdate(generics.UpdateAPIView):
    permission_classes = (ThuxModelPermissions,)
    queryset = models.AddressScope.objects.all()
    serializer_class = serializers.AddressScopeSerializerUpdate
